%define name eagle
%define rname %{name}_kernel-%{kernel_version}
%define version 1.9.4
%define release 1mdk
%define url http://eagle-usb.fr.st/

Summary: Firmware and utility of Sagem Fast 800 usb modem kernel module.
Name: %{name}
Url: %{url}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2 	
License: LGPL
Group: System/Kernel and hardware
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Requires: hotplug, ppp >= 2.4.1
Obsoletes: adiusbadsl
Provides: adiusbadsl = %version


%description 
Firmware and utility for the Sagem Fast 800 usb modem 

%prep
%setup -q

%build
%make -C driver binaryfirmware eagleuser
%make -C pppoa

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/{analog,ppp}
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/hotplug/usb
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/hotplug/%{name}
install -m644 driver/user/eagle-usb.conf $RPM_BUILD_ROOT/%{_sysconfdir}/analog/adiusbadsl.conf
install -m644 driver/firmware/*.bin $RPM_BUILD_ROOT/%{_sysconfdir}/analog/
install -m755 driver/user/eaglectrl $RPM_BUILD_ROOT/%{_sbindir}/
install -m755 driver/user/eaglestat $RPM_BUILD_ROOT/%{_sbindir}/
install -m755 pppoa/pppoa $RPM_BUILD_ROOT/%{_sbindir}/
install -m755 utils/scripts/eu_dsp $RPM_BUILD_ROOT/%{_sysconfdir}/hotplug/usb
install -m644 utils/scripts/usb.usermap $RPM_BUILD_ROOT/%{_libdir}/hotplug/%{name}/usb.usermap
#- options.adsl file should be modified according to configuration:
#-    user "$USER"
#- from options.adsl.template
install -m644 utils/scripts/options $RPM_BUILD_ROOT/%{_sysconfdir}/ppp/options.adsl.template
echo "user \"adsl@adsl\"" > $RPM_BUILD_ROOT/%{_sysconfdir}/ppp/options.mire
cat utils/scripts/options >> $RPM_BUILD_ROOT/%{_sysconfdir}/ppp/options.mire
install -m755 utils/scripts/{eu_init,fctS*} $RPM_BUILD_ROOT/%{_sbindir}/

%post
/usr/sbin/update-usb.usermap || :

%postun
if [ "$1" = 0 ]; then
  /usr/sbin/update-usb.usermap || :
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc BUGS Changelog FAQ.fr TODO VERSION lisezmoi.txt pppoa/COPYING
/%{_sbindir}/*
/%{_libdir}/hotplug/%{name}
%config(noreplace) /%{_sysconfdir}/analog/*
%config(noreplace) /%{_sysconfdir}/ppp/*
%config(noreplace) /%{_sysconfdir}/hotplug/usb/*

%changelog
* Tue Feb 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.9.4-1mdk
- new release

* Wed Jan 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.9.3-2mdk
- fix provides
- fix planel changelog

* Mon Jan 26 2004 Nicolas Planel <nplanel@mandrakesoft.com> 1.9.3-1mdk
- 1.9.3.
- cleaning spec file.

* Fri Aug 22 2003 Nicolas Planel <nplanel@mandrakesoft.com> 1.0.4-1mdk
- 1.0.4.

* Wed Jul 16 2003 Franois Pons <fpons@mandrakesoft.com> 1.0.4-0.pre5.1.1mdk
- courtesy specs from Philippe Libat.
- fixed --with modules support missing (only --without supported).
- 1.0.4-pre5.1.

* Tue Apr 01 2003 Nicolas Planel <nplanel@mandrakesoft.com> 1.0.3-1mdk
- 1.0.3.
- no more cc release.

* Thu Mar 06 2003 Franois Pons <fpons@mandrakesoft.com> 1.0.2-0.cc5.2mdk
- fixed requires (dropped drakxtools and added ppp).

* Mon Feb 17 2003 Franois Pons <fpons@mandrakesoft.com> 1.0.2-0.cc5.1mdk
- 1.0.2-cc5 from http://eagle-usb.fr.st.

* Fri Jan 31 2003 Franois Pons <fpons@mandrakesoft.com> 1.0.2-0.cc3.1mdk
- use eagle-1.0.2-cc3 driver from http://eagle-usb.fr.st which support
  correctly pppoa and hotplug (among other fixes).

* Fri Dec 06 2002  Nicolas Planel <nplanel@mandrakesoft.com> 1.0.1-4mdk
- Fix adiusbadsl hotplug script
- remove patch usb_usermap

* Tue Nov 26 2002  Stew Benedict <sbenedict@mandrakesoft.com> 1.0.1-3mdk
- ignore rpmlint hardcoded-library-path

* Tue Nov 26 2002  Stew Benedict <sbenedict@mandrakesoft.com> 1.0.1-2mdk
- PPC build - invalid gcc flags (patch6)
- change hardcoded-library-path

* Wed Sep 11 2002  Nicolas Planel <nplanel@mandrakesoft.com> 1.0.1-1mdk
- Generate multiple kernel version from same source 
- Driver, firmware, utility for Sagem ADSL Fast 800 1.0.1
- Note : adiusbadsl_kernel is generate only if kernel < 2.4.20 
  (included since 2.4.20-0.2mdk)

# end of file
